SND_SOC_ADD_CODEC_CO(9)

NAME
snd_soc_add_codec_controls - add an array of controls to a codec. Convenience function to add a list of controls. Many codecs were duplicating this code.

SYNOPSIS

int snd_soc_add_codec_controls(struct snd_soc_codec * codec, const struct snd_kcontrol_new * controls, unsigned int num_controls);

ARGUMENTS

codec
    codec to add controls to

controls
    array of controls to add

num_controls
    number of elements in the array

DESCRIPTION

Return 0 for success, else error.

COPYRIGHT